# $Revision: 1.22 $, $Date: 2009/03/14 12:38:18 $
#
# Conditional build
%bcond_without	gtk	# don't build GTK+ frontend
%bcond_without	qt	# don't build Qt frontend
%bcond_without  x	# don't build for X Window System frontends
%define		module	recordMyDesktop
#
Summary:	Desktop session recorder
Summary(pl.UTF-8):	Rejestrator pulpitu
Name:		recordmydesktop
Version:	0.3.8
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/recordmydesktop/%{name}-%{version}.tar.gz
# Source0-md5:	9834d0fa7dfb67366434cc1c3a857e9c
Source1:	http://dl.sourceforge.net/recordmydesktop/gtk-%{name}-%{version}.tar.gz
# Source1-md5:	2637b9be9801e0b2c3b6dae8f86a8b59
Source2:	http://dl.sourceforge.net/recordmydesktop/qt-%{name}-%{version}.tar.gz
# Source2-md5:	bf1525740755615ae172ae27fef68fb5
URL:		http://recordmydesktop.sourceforge.net/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
%if %{with gtk}
BuildRequires:	python-devel
BuildRequires:	python-pygtk-devel
%endif
%if %{with qt}
BuildRequires:	python-PyQt4-devel
%endif
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple command line tool that performs the basic tasks of capturing
and encoding desktop session. It produces files using only open
formats like Theora for video and Vorbis for audio, using the Ogg
container.

%description -l pl.UTF-8
Proste narzędzie linii poleceń, które wykonuje podstawowe zadanie
zrzucania i kodowania bieżącej sesji pulpitu. Wytwarza on pliki
używając tylko otwartych formatów takich jak Theora do zapisu obrazu i
Vorbis do zapisu dźwięku, wykorzystując kontener Ogg.

%package gtk
Summary:	GTK+ frontend for recordmydesktop
Summary(pl.UTF-8):	Frontend do recordmydesktop oparty na GTK+
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
GTK+ frontend for recordmydesktop.

%description gtk -l pl.UTF-8
Frontend do recordmydesktop oparty na GTK+.

%package qt
Summary:	Qt frontend for recordmydesktop
Summary(pl.UTF-8):	Frontend do recordmydesktop oparty na Qt
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	python-PyQt4

%description qt
Qt frontend for recordmydesktop.

%description qt -l pl.UTF-8
Frontend do recordmydesktop oparty na Qt.

%package x11
Summary:	X Window System resource for recordmydesktop
Summary(pl.UTF-8):	Zasoby X Window System do recordmydesktop
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description x11
X Window System resource for recordmydesktop.

%description x11 -l pl.UTF-8
Zasoby X Window System do recordmydesktop.

%prep
%setup -q -a 1 -a 2

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-x
%{__make}

%if %{with gtk}
cd gtk-%{name}-%{version}
%configure
%{__make}
cd ..
%endif

%if %{with qt}
cd qt-%{name}-%{version}
sed -i -e 's@#! /bin/sh@#!/bin/bash@' configure
%configure
%{__make}
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean %{py_sitescriptdir}/%{module}

%if %{with gtk}
%{__make} -C gtk-%{name}-%{version} install \
	DESTDIR=$RPM_BUILD_ROOT
%find_lang gtk-recordMyDesktop
%endif

%if %{with qt}
%{__make} -C qt-%{name}-%{version} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -rf __find.*
%find_lang qt-recordMyDesktop

%py_postclean %{py_sitescriptdir}/qt_recordMyDesktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/recordmydesktop.1*

%if %{with x}
%files x11
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}
%endif

%if %{with gtk}
%files gtk -f gtk-recordMyDesktop.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gtk-recordMyDesktop
%{_desktopdir}/gtk-recordmydesktop.desktop
%{_pixmapsdir}/gtk-recordmydesktop.png
%endif

%if %{with qt}
%files qt -f qt-recordMyDesktop.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qt-recordMyDesktop
%{_desktopdir}/qt-recordmydesktop.desktop
%{_pixmapsdir}/qt-recordmydesktop*.png
%{py_sitescriptdir}/qt_recordMyDesktop
%endif

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: recordmydesktop.spec,v $
Revision 1.22  2009/03/14 12:38:18  hawk
- release 2

Revision 1.21  2008/11/25 10:25:16  duddits
- up to 0.3.8

Revision 1.20  2008/10/16 19:49:03  megabajt
- release 2

Revision 1.19  2008/09/29 17:28:12  qboosh
- complete URL

Revision 1.18  2008/09/24 07:44:34  duddits
- URL path updated

Revision 1.17  2008/05/26 21:40:52  arvenil
- up to 0.3.7.2
- R: python-PyQt4 (for qt subpackage)

Revision 1.16  2008-05-25 20:04:44  shadzik
- kill unneeded X11 R; in subpackages (works fine without them - tested)

Revision 1.15  2007-10-17 21:09:04  wolf
- 0.3.6
- qt frontend
- clean python dirs

Revision 1.14  2007/04/22 10:03:12  qboosh
- formatting

Revision 1.13  2007/04/21 08:06:47  wolvverine
- /x/x11/

Revision 1.12  2007/04/21 01:50:22  wolvverine
- add package for X Window frontends

Revision 1.11  2007/04/07 14:58:02  qboosh
- unified

Revision 1.10  2007/04/07 01:03:32  shadzik
- add gtk subpackage and all taht belongs to it (Source1, bcond etc.)

Revision 1.9  2007/04/01 21:25:18  rotom
- up to 0.3.4

Revision 1.8  2007/03/05 16:47:01  shadzik
- 0.3.3.1

Revision 1.7  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.5  2007/01/26 20:52:03  vip
- up to 0.3.2

Revision 1.4  2006/12/26 19:55:01  qboosh
- unified

Revision 1.3  2006/12/19 12:59:24  vip
- added descriptions; ready.

Revision 1.2  2006/12/19 04:16:31  shadzik
- fill (?) all BRs

Revision 1.1  2006/12/19 01:27:06  vip
- new, NFY
- TODO: BR's, descs
